# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define Gy = Character('Guy', color="#5c8906")

#Variable

#images
image chara_guy = "NPC_Guy_norm.png"
image Gy_Talky = "NPC_Guy_talky.png"
image Gy_Annoyed = "NPC_Guy_annoyed.png"
image Gy_Happy = "NPC_Guy_happy.png"

image bg_black = "bg_black.png"
image bg_2room = "bg_2doors3.png"
image bg_red = "bg_redbutton.png"

# The game starts here.
label Room_Chamber:

    P "{i}...{/i}" 

    show chara_guy
    Gy "C'mon. Let's move."

    "Guy grabs my hand and drags me into the next room." 
    hide chara_guy

    scene bg_2room
    with Dissolve (.5)
    pause .5

    "There are two doors."

    show chara_guy 
    Gy "I'm going to check out this door, you check the other one." 
    hide chara_guy

    "Guy walk into the left room" 

    scene bg_red
    with Dissolve (.5)
    pause .5

    "I enter the door on the right. The door shuts behind me." 

    P "Locked."

    "Inside the smaller room there's a red button with a note." 

    "\'Pushing this button will kill the person in the other room. They also have a button that can kill you in this room. If no one pushes the button within 2 minutes. Both people will die.\'"

    P "{i}If I push this button Guy will die.{/i}" 

    P "{i}However if I don't push the button, Guy might push the button and I might die.{/i}"

    P "{i}And neither of us push the button we’ll both die anyway.{/i}"

    P "{i}So, what am I going to do...{/i}"
menu:
    "Push button":
        jump push_button

    "Don't push":
        jump dont_push

label push_button:
    P "{i}Well. Better one of us dead then both.{/i}"

    P "Good bye Guy."

    "I push the red button with ease."

    "The door behind me open up."

    scene bg_2room
    with Dissolve (.5)
    pause .5

    "The door on the left never opens up."

    P "To the next room."

    scene bg_black
    with Dissolve (.5)
    pause .5

    "END"

    jump chamder_end

label dont_push:
    P "{i}I can’t do this.{/i}"

    P "{i}I can’t bring myself to kill another human.{/i}" 

    P "{i}I'm sure Guy feels the sam-{/i}"
    
    scene bg_black
    " "

    "END"

label chamder_end:
return
