﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define Gk = Character('Geek', color="#c7b299")

#images
image chara_lady = "NPC_Lady_norm.png"
image L_Happy = "NPC_Lady_happy.png"
image L_Annoyed = "NPC_Lady_annoyed.png"
image L_Talky = "NPC_Lady_talky.png"

image chara_geek = "NPC_Geek_norm.png"
image Gk_Annoyed = "NPC_Geek_annoyed.png"
image Gk_Happy = "NPC_Geek_happy.png"
image Gk_Sad = "NPC_Geek_sad.png"
image Gk_Talky = "NPC_Geek_talky.png"

image bg_black = "bg_black.png"
image bg_ine = "bg_life1.png"
image bg_bridge = "bg_bridge.png"

# Variable

# The game starts here.
label Room_bridge:
    scene bg_ine
    
    show Gk_Sad at left
    show chara_lady at right
    "Guy had been left behind."

    "Geek and Lady stand on opposite ends of the elevator."

    P "{i}I wonder who else voted for Guy.{/i}"

    P "{i}Lady and Guy both got a vote each... No one voted for me.{/i}"
    
    "The elevator finally stops."

    hide chara_lady
    show L_Talky at right
    L "That took a while."
    hide L_Talky
    hide Gk_Sad

    "Everyone steps out of the elevator."

    scene bg_bridge
    with Dissolve (.5)
    pause .5

    show chara_lady
    L "Where are we?"

    L "Is this the outside world?"
    hide chara_lady

    show Gk_Sad
    Gk "No."

    Gk "We're still in the labyrinth."

    Gk "There's no way escape would be that easy."
    hide Gk_Sad

    "There’s an old wooden bridge between two cliffs."

    P "The elevator has stopped working again. I think we might need to cross that bridge."

    show L_Annoyed
    L "There's no way we are all going to be able to cross that bridge! Look at it!"
    hide L_Annoyed

    show Gk_Talky
    Gk "We'll have to take it in turns."
    hide Gk_Talky

    show chara_geek
    Gk "[playername!t], you go first. You're the lightest."

    Gk "Let us know what it's like going across the bridge."

    P "Alright."
    hide chara_geek

    "The bridge is old and missing planks. I can feel the wooden planks shift under each step I take. Slowly I make my way across."

    P "Phew. I made it."

    P "{i}I don’t really think the bridge could take two more people crossing it.{/i}"

    P "{i}It might. Maybe Lady should come across next. She’s lighter than Geek. But what if the bridge is too damaged for Geek to cross.{/i}"

    P "{i}I have to decide. Someone might need to stay behind. So who should cross next and who should wait?{/i}"

menu:
    "Lady should cross next.":
        jump lady_bridge 

    "Geek should cross next.":
        jump geek_bridge

label lady_bridge:
    P "{i}Ah. I still don't know what Lady's real name is...Oh well.{/i}"

    P "Hey Lady! Come cross the bridge since you are second lightest."

    show L_Talky
    L "Alright. Coming!"
    hide L_Talky

    "An old plank of wood breaks under the weight of Lady’s foot and falls into the water below."

    "Eventually Lady makes it safely across."

    P "Okay, bridge is free!"

    show Gk_Talky
    Gk "I'm heading over now!"
    hide Gk_Talky

    "Geek slowly starts to make his way across the bridge..."

    "He clings to the rope as he slowly shuffles along."

    "Suddenly the rope comes loose from the elevators end."

    Gk "Ah!"

    "The bridge starts to fall down. It crashes into the cliff." 

    P "Hang on!"

    "Geek unable to hold on falls into the water. The rest of the bridge falls apart and planks of wood crash into the water below."

    P "Nooo!"

    L "[playername!t] can you see him anywhere?"

    P "No. The water is too dark..."

    jump Room_Dog

label geek_bridge:

    P "Bridge is clear!" 

    "Geek slowly makes his way across the bridge." 

    "Every other step he takes seems to damages the bridge. A plank of wood snaps in half and falls into the water below." 

    P "Okay! Clear! You can come over now!"
    
    show L_Annoyed
    L "On what? The bridge is full of holes now!"
    hide L_Annoyed

    show Gk_Talky
    Gk "Sorry!"  
    hide Gk_Talky

    P "I'm sure it will be fine! You are lighter than him!"

    "Lady steps onto the bridge. She carefully steps over the holes, holding tightly to the ropes at her sides."

    "Suddenly Lady’s foot goes right through a plank of wood."

    show L_Annoyed
    L "Fuck! My leg is stuck!"

    L "I can't pull it out!"
    hide L_Annoyed

    "The bridge shakes with her motions."

    "The plank holding Lady’s foot breaks away from the rope, pulling Lady down towards the water."

    show L_Annoyed
    L "HELP ME!"

    L "DO SOMETHING YOU IDIOTS!"
    hide L_Annoyed

    "The rest of the bridge begins to shatter and fall into the water below."

    L "No. No. No. NO!"

    "The rope slips out of Lady’s hand and she falls with the rest of the bridge."

    Gk "She's gone."

    jump Room_Vent

return
