# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define Gk = Character('Geek', color="#c7b299")

#images
image chara_geek = "NPC_Geek_norm.png"
image Gk_Annoyed = "NPC_Geek_annoyed.png"
image Gk_Happy = "NPC_Geek_happy.png"
image Gk_Sad = "NPC_Geek_sad.png"
image Gk_Talky = "NPC_Geek_talky.png"
image Gk_Shouty = "NPC_Geek_shouty.png"
image Gk_Vsad = "NPC_Geek_vsad.png"

image bg_black = "bg_black.png"
# Variable

# The game starts here.
label Room_weight:
    show Gk_Vsad
    Gk "I...I didn't think he would jump into the river..."

    Gk "I mean he's an idiot..."

    Gk "But no one is that stupid."

    Gk "He should have gone first..."

    P "But then you would be on the other side of the river."

    Gk "But he would be alive."
    hide Gk_Vsad

    show Gk_Sad
    Gk "Everyone's gone. It's just you and me now."

    P "{i}Geek is right. Apple, Lady and Guy are all gone.{/i}"

    P "I need you to get up. We need to move forward."
    hide Gk_Sad

    show Gk_Shouty
    Gk "What is the point?"
    hide Gk_Shouty

    "Geek sits down on the floor."

    show Gk_Sad
    Gk "I give up. We are never getting out of here. We might as well wait to die here."

    P "There's a door right over there..."
    hide Gk_Sad

    show Gk_Vsad
    Gk "Where will that door take us?"

    Gk "To another room where only one of us can keep going?"

    Gk "We are never going to be able to escape..."
 
    Gk "We are all going to be trapped in this labyrinth forever."

    Gk "It's all my fault. I shouldn't have opened the door."

    P "What are you saying?"
    hide Gk_Vsad

    show Gk_Sad
    Gk "I'm the reason why everyone got lost here."

    P "What?"

    Gk "I'm so sick of everything..."
    hide Gk_Sad

    show Gk_Vsad
    Gk "Everyday I woke up."

    Gk "Everyday bullied by the same kids."

    Gk "Everyday I go home."

    Gk "Everyday I go to sleep and hope I don't wake up."
    hide Gk_Vsad

    show Gk_Sad
    Gk "I didn't mean for you and the others to end up here."

    Gk "It just happened."

    P "So... that's why you wanted to stay behind in the first room."

    Gk "..."
    hide Gk_Sad

    show chara_geek
    Gk "I'm going to stay here. You should too."
    hide chara_geek

    show Gk_Sad
    Gk "There's nothing but pain past that door."

    P "That's not true. That door might be the exit."

    Gk "There's nothing out there for me."

    P "{i}I don’t think Geek is going to budge. Nothing I say will change his mind.{/i}"

    P "{i}What is behind that door? More traps? Or freedom?{/i}"

    P "{i}Is Geek right? Should I just stay here with him? At least I won’t be alone.{/i}"
    hide Gk_Sad
    
menu:
    "Stay with Geek":
        jump stay
    "Open the door":
        jump forward

label stay:
    P "{i}For now. I think I'll stay here.{/i}"

    P "{i}Maybe later we can check out what's behind that door.{/i}"
   
    P "{i}For now I'll wait with Geek.{/i}"

    scene bg_black
    with Dissolve (.5)
    
    "END"

    jump weight_end

label forward:
    P "Sorry but I'm not going to wait for death."

    P "I want to find out what's on the other side of that door."

    P "As long as there’s a door, as long as there’s a path in front of me, I’ll keep going."

    P "One of these doors will lead to freedom..."

    P "See ya."

    scene bg_black
    with Dissolve (.5)

    "And like that, Geek and I parted ways."

    "END"

label weight_end:
return
