# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define Gy = Character('Guy', color="#5c8906")
define W = Character('Wolf', color="#534741")

#images
image chara_guy = "NPC_Guy_norm.png"
image Gy_Talky = "NPC_Guy_talky.png"
image Gy_Annoyed = "NPC_Guy_annoyed.png"
image Gy_Happy = "NPC_Guy_happy.png"

image bg_black = "bg_black.png"
image bg_Woods = "bg_woods.png"

# Variable
define catch = 3


# The game starts here.
label Room_wolves:
    
    $ randfloat = renpy.random.randint(1, 2)
    $ catch = randfloat

    scene bg_Woods
    with Dissolve (.5)
    pause .5

    show chara_guy
    P "We need to go back for him!"

    P "We can't leave him behind! He's still alive!"
    hide chara_guy

    show Gy_Talky
    Gy "There's nothing we can do for him."
    hide Gy_Talky

    show chara_guy
    P "We didn't even try to help him."
    hide chara_guy

    show Gy_Annoyed
    Gy "What's done has been done."
    hide Gy_Annoyed

    show chara_guy
    Gy "Anyway. Where are we?"

    Gy "A forest?"

    Gy "..."

    P "What's wrong? You look a little pale?"
    hide chara_guy

    show Gy_Talky
    Gy "Um. [playername!t], I think there is a pack of wolves coming towards us."
    hide Gy_Talky

    show chara_guy
    P "What makes you think tha-"

    W "Hooowl."

    P "Oh."

    Gy "I think we should run."

    P "Me too."
    hide chara_guy

    "Guy and I start running."

    W "Hoooowl."

    "I look over my shoulder and see a pack of wolves."

    P "{i}They are going to catch up to us soon.{/i}"

    P "{i}There's no way we can outrun them.{/i}"

    P "{i}The trees are too thin to climb.{/i}"

    P "{i}I'm going to be dead meat soon...{/i}"

    P "{i}The distance between me and Guy is getting bigger.{/i}"

    P "{i}He doesn’t need to outrun the wolves. He just needs to outrun me.{/i}"
    
    P "{i}Unless...{/i}"

    P "{i}I could trip him...{/i}"

    P "{i}He can be my distraction from the wolves.{/i}"

    show Gy_Talky
    Gy "There's a door in the distance!"
    hide Gy_Talky

    P "{i}That door is a bit far.{/i}"

    P "{i}I might not make it.{/i}"

    P "{i}I will definitely make it if Guy falls over... {/i}"

    P "{i}Ugh. What am I going to do?{/i}"

menu:
    "Trip Guy":
        jump trip_guy

    "Keep running":
        jump keep_running

label trip_guy:
    P "{i}I don't want to be eaten.{/i}"

    P "{i}I’m too young to die.{/i}"

    P "{i}Sorry Guy!{/i}"

    "I reach out my arm and grab Guy’s shirt. He falls onto his back."

    "I reach for the door and swing it open."
    
    scene bg_black
    with Dissolve (.5)

    "I close the door behind me to cut off the sounds of screaming."
    "END"
    jump wolves_end

label keep_running:
    P "{i}Ah. I can't do that to another person.{/i}"

    P "{i}Stupid me for even thinking about it.{/i}"
    
    "The gap between me and Guy grows."

    P "{i}Maybe I can reach the door before it's too late...{/i}"

    if catch == 1: 
        "Guy reaches the door, swings it open and keeps running."

        P "{i}The door is still so far away!{/i}"

        P "{i}I'm not going to make it...{/i}"

        scene bg_black
        "The door closes."

        "END"
        jump wolves_end

    if catch == 2:
        P "{i}I can do this. I can do this.{/i}"

        "Guy reaches the door, swings it open and keeps running."

        P "{i}Run. Run. Run. Must keep running!{/i}"

        "I make it to the door!"

        "I grab the door just before it shuts and duck inside"
        scene bg_black
        with Dissolve (.5)

        P "Huff. I'm alive...somehow."

        P "{i}I wonder where did Guy go?{/i}"

        P "{i}Eh. I'll worry about that later. Time for rest.{/i}"

        "END"
    
label wolves_end:
return
