﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

#characters
image chara_apple = "NPC_Apple_norm.png"
image A_Happy = "NPC_Apple_happy.png"
image A_Sad = "NPC_Apple_sad.png"
image A_Talky = "NPC_Apple_talky.png"

image G_lion = "NPC_guard.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define A = Character('Apple', color="#f36bae")
define G = Character('Guard', color="#959595")

image bg_black = "bg_black.png"
image bg_hway = "bg_hallway.png"
image bg_G_room = "bg_2doors2.png"

# Variable
define guard_right = False
define guard_left = False


# The game starts here.
label Room_2Guards:

    "Apple notices the door closing behind me."

    show A_Sad
    
    A "I hope she's alright."

    P "I'm sure she is."

    hide A_Sad
    
    scene bg_hway
    with Dissolve (.5)
    pause .5    
    
    "Apple and I begin walking down a long hallway."

    show chara_apple
    A "We'll come back for her."

    P "Yeah. And the guys too!"

    A "Yeah."

    " "
    hide chara_apple
    show A_Happy

    A "So..."

    A "Apple huh?"

    P "Oh. Right. Sorry."

    P "I forgot your name."

    A "Heh. That's ok. Apple is a cute nickname."

    A "I like it."

    hide A_Happy

    "The hallway leads to a room."

    scene bg_G_room
    with Dissolve (.5)
    pause .5 

    "Apple and I look around the new area."

    "There are two doors. Between them, there are two guards."
    
    show A_Talky
    A "There's a note here!"
    hide A_Talky

    "\'One guard tells nothing but the truth the other always talks in lies. One doors leads to freedom, one door leads to an endless maze.\'"
    #left door is door to freedom

    "\'You may only ask one question.\'"

    show A_Happy
    A "Oh, I know this riddle!"
    hide A_Happy

    show chara_apple
    A "What was the answer again..."
    hide chara_apple

    show A_Happy
    A "Oh!"

    A "We need to ask: \'If I were to ask the other guard which door leads to freedom, what would he say?\'"

    P "Are you sure?"

    A "Yup!"
    hide A_Happy

    P "{i}I guess I'll ask, but which one?{/i}"

menu:
    "Guard on right":        
        jump pick_right

    "Guard on left":
        jump pick_left

label pick_right:
    $ guard_right = True
    jump question

label pick_left:
    $ guard_left = True
    jump question
    
label question:
    if guard_right == True:
        "You head over to the guard on the right."
        #Guard who lies

        P "If I were to ask the other guard which door leads to freedom, what would he say?"
        
        "He points to the left door."

    if guard_left == True:
        "You head over to the guard on the left."
        #Guard who tells the truth

        P "If I were to ask the other guard which door leads to freedom, what would he say?"

        "He points to the left door"

    show A_Happy
    A "The guard pointed to the left door. So the right door must be the door to freedom."

    P "Alright! Let's go!"
    hide A_Happy

    "Apple and I walk towards the door on the right." 

    "The nearest guard blocks our path."

    show G_lion
    G "Only one."
    hide G_lion

    show chara_apple
    A "Huh?"

    P "Only one of us can take the door to freedom..."

    P "{i}But who?{/i}"

    P "{i}Me Or Apple?{/i}"
    hide chara_apple

menu:
    "Leave Apple behind.":
        jump guards_escape_self 

    "Let Apple escape.":
        jump guards_escape_apple

label guards_escape_apple:
    show A_Sad
    P "{i}Apple should escape.{/i}"

    P "{i}But there’s no way she’d go without me.{/i}"
    hide A_Sad

    P "{i}Oh. I can take the other door...{/i}"

    P "{i}But Apple might stop me.{/i}"

    P "{i}...{/i}"

    P "Sorry."

    show chara_apple
    A "Huh?"
    hide chara_apple

    "Without letting her say anything else I swing open the second door and run though."

    scene bg_black
    " "

    P "I wonder what happened after I left?"

    P "Did Apple escape?"

    P "She must have."

    P "Geek, Guy and Lady. Did they escape or are they still trapped?"

    "I spend the next three days walking around an endless maze"

    "On the fouth day I needed to rest."

    "END"
    jump guards_end

label guards_escape_self:
    show A_Sad
    P "{i}I’ve been here long enough.{/i}"

    P "{i}Apple is an idiot. She’ll be easy to deal with.{/i}"

    P "Apple stay here!"

    P "I’ll come back with help, alright?"

    P "We can save everyone! Lady and the guys!"

    P "Ok?"

    A "Alright. I'll wait here."

    "I force myself to smile as I exit through the door to freedom."

    A "Bye [playername!t]!"

    P "Bye Apple."

    "This was the last time I ever saw Apple."
    hide A_Sad

    scene bg_black
    with Dissolve (.5)
    
    "END"

    jump guards_end    

label guards_end:

return
