# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define A = Character('Apple', color="#f36bae")
define Gy = Character('Guy', color="#5c8906")
define Gk = Character('Geek', color="#c7b299")

#images
image chara_apple = "NPC_Apple_norm.png"
image chara_lady = "NPC_Lady_norm.png"
image chara_guy = "NPC_Guy_norm.png"
image chara_geek = "NPC_Geek_norm.png"

image bg_black = "bg_black.png"
image bg_NPCEmpty = "bg_2v3empty.png"
image bg_NPCFull = "bg_2v3full.png"
image bg_booth = "bg_vbooth.png"
image bg_OS = "bg_outside.png"

# Variable

# The game starts here.
label Room_2v3:
    
    show chara_geek
    Gk "Why... Why didn’t you leave me behind? Why didn’t you help her?"

    P "..."

    Gk "Why?"
    hide chara_geek

    "Geek suddenly falls over."

    P "Hey! Are you alrigh-"

    scene bg_black 
    " "

    P "Ugh. My head."

    scene bg_NPCFull
    with Dissolve (.5)

    P "{i}Where am I?{/i}"

    P "{i}What is this place?{/i}"

    P "{i}Geek!{/i}"

    P "{i}Where is Geek!{/i}"

    "I scan around the new room."

    "Geek is by my side, asleep." 

    P "Hey! Wake up!"

    P "Are you alright? Hello?"

    "Geek keeps sleeping."

    "I noticed three others asleep on the other side of the room."

    P "{i}Lady, Guy and Apple!{/i}" 

    "There is a glass wall separating the room."

    "I bang on the glass wall."

    P "HEY! Can you hear me! HELLO? HEY! WAKE UP!"

    P "{i}What is going on...{/i}"

    "In the corner of my eye I noticed a computer."

    scene bg_booth
    with Dissolve (.5)

    "\'Is the life of three worth more or less than the lives of two?\'"

    "\'MORE\' or \'LESS\'?"

    P "{i}I’m going to guess this is a trick question.{/i}"

    P "{i}Only Geek and I are on this side of the room. Apple, Lady and Guy are on the other side.{/i}"

    P "{i}So, are the lives of myself and Geek worth more than those of Apple, Lady and Guy?{/i}"

menu:
    "LESS":
        jump group_two
    "MORE":
        jump group_three

label group_two:
    "\'Thank you for your vote\'"

    scene bg_NPCFull
    with Dissolve (.5)

    "A door swings opens up."

    "I can hear the sounds of a busy street."

    P "This is it. I'm finally on my way out of here..." 

    P "{i}Sorry, Apple, Lady and Guy.{/i}"

    P "{i}Sorry I forgot your names.{/i}"

    "I look over to the other side of the room. Apple, Lady and Guy are gone."

    P "{i}I better wake up Geek and get out of here.{/i}"

    scene bg_black
    with Dissolve (.5)

    "END"

    jump twothree_end
label group_three:
    "\'Thank you for your vote\'"

    scene bg_NPCFull
    with Dissolve (.5)

    "Apple, Lady and Guy have woken up." 

    "They haven't noticed me yet."

    P "Hey!"

    "Nothing."

    P "{i}I guess they can't hear or see me.{/i}"

    "A door on the other side of the glass wall has opened up."

    scene bg_NPCEmpty
    with Dissolve (.5)

    "Apple, Lady and Guy exit the room without looking back."

    "The door close behind the three."

    P "{i}Well... time to find a different way out.{/i}"

    P "{i}I guess I'll wait for Geek to wake up first.{/i}"

    scene bg_black
    with Dissolve (.5)

    "END"
    jump twothree_end

label twothree_end:
return
