﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define K = Character('Cat', color="#717171")

#images
image chara_lady = "NPC_Lady_norm.png"
image L_Happy = "NPC_Lady_happy.png"
image L_Annoyed = "NPC_Lady_annoyed.png"
image L_Talky = "NPC_Lady_talky.png"
image Cat = "NPC_cat.png"

image bg_black = "bg_black.png"
image bg_Kitchen = "bg_kitchen.png"

# Variable

# The game starts here.
label Room_Cat:

    scene bg_black
    with Dissolve (.5)
    
    P "{i}These stairs go on forever. How far down am I now?{/i}"

    P "{i}I wonder where Lady is...{/i}"

    "Down, down, down, and down."
 
    P "{i}I feel like Alice going deeper into the rabbit hole.{/i}"

    "Down, down, down, and down."

    P "{i}Ah! Finally floor!{/i}"

    "Lady standing at a small archway."

    P "{i}Phew. I finally caught up.{/i}"

    "The archway leads into a kitchen."

    scene bg_Kitchen
    with Dissolve (.5)
    pause .5

    P "A kitchen?"

    show chara_lady
    L "A kitchen."

    L "I'm going to have a look around."

    P "I'll help!"
    hide chara_lady

    show bg_black
    with Dissolve (.5)
    " "
    hide bg_black
    with Dissolve (.5)

    show L_Talky
    L "Find anything?"

    P "Nothing but pots, pans and utensils."
    hide L_Talky

    show chara_lady
    L "I found some oil and spices."

    L "But nothing to eat."

    P "The taps at least work..."
    hide chara_lady

    show L_Annoyed
    L "Ah. I’m starving!"
    hide L_Annoyed

    show chara_lady
    P "*Grumble*"

    P "...Me too."

    P "Might as well drink some water."

    L "There's nothing here. We should head back up."

    P "Ok. But let's have a rest first."

    L "Alright."
    hide chara_lady

    show bg_black
    with Dissolve (.5)

    " "

    L "y-"

    L "...ey-...[playername!t]...Hey..."

    L "Wake up."

    P "{i}Huh? What's going on?{/i}"

    L "[playername!t] wake up."
    
    P "...Ok... ok... I'm awake."
    hide bg_black
    with Dissolve (.5)

    show L_Happy
    P "Don't tell me we are going already?"

    L "No no, look!"

    "Lady points at my lap."
    hide L_Happy

    show Cat
    "There's cat purring on my lap."

    K "Meow."

    hide Cat

    show L_Happy
    L "Looks like you found some food!"

    L "Quickly grab it [playername!t]!"

    P "Wait. You want to kill this cat and EAT it?"

    L "Yeah. Pass it over and I'll stab it!"
    hide L_Happy

menu: 
    "Hand the cat over to Lady.":
        jump eat_cat

    "Save the cat from being killed.":
        jump save_cat

label eat_cat:
    show chara_lady
    "Lady walks over and hands me a knife."

    P "Wait. I though you said you were going to kill it!"

    L "No, it'll run away!"
    hide chara_lady

    show L_Happy
    L "It will be easy! Just stab it!"

    P "...Okay...."

    "With one quick motion the purring stops."

    L "Good job."
    hide L_Happy

    scene bg_black
    "..."
    
    "Lady had cooked the cat, it didn’t taste bad."
    
    scene bg_Kitchen

    show L_Happy
    L "Time to head back up."

    P "Ok."

    P "{i}I wonder if Guy found anything...{/i}"
    hide L_Happy

    "Lady and I head back up the stairs."
    
    show bg_black
    with Dissolve (.5)    

    "Up, up, up and up."
    
    "The stairs go on forever and ever."

    "END"
    hide bg_black

    jump cat_end

label save_cat:
    show chara_lady
    P "No way! There's no way you are killing a cat just to eat it!"
    hide chara_lady

    show L_Annoyed
    L "I’m not starving to death because you don’t want to hurt a cat!"

    L "Give me that cat!"
    hide L_Annoyed

    "Lady’s shout scares the cat. It jumps off my lap and onto the kitchen bench." 

    "The cat jumps on to the top of the kitchen cupboards."

    P "{i}Good job. You'll be safe up there.{/i}"

    show L_Annoyed
    L "Look what you did! It got away!"

    L "Well I'm not going to starve to death!"

    "Lady comes at me with the knife in her hand."
    hide L_Annoyed

    "I follow the cat and hop on the kitchen bench."

    P "{i}There's a vent above the cupboards!{/i}"

    "I jump over and climb onto the cupboards."

    "I watch the cat enter the vent and follow her."

    scene bg_black
    with Dissolve (.5)
    pause .5

    P "{i}It’s small and I can barely move. But at lest Lady can't follow me here.{/i}"

    P "{i}I wonder where I'm going to end up next?{/i}"

    "END"

label cat_end:
return
