# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define A = Character('Apple', color="#f36bae")
define Gk = Character('Geek', color="#c7b299")

#images
image chara_apple = "NPC_Apple_norm.png"
image A_Happy = "NPC_Apple_happy.png"
image A_Sad = "NPC_Apple_sad.png"
image A_Talky = "NPC_Apple_talky.png"

image chara_geek = "NPC_Geek_norm.png"
image Gk_Annoyed = "NPC_Geek_annoyed.png"
image Gk_Happy = "NPC_Geek_happy.png"
image Gk_Sad = "NPC_Geek_sad.png"
image Gk_Talky = "NPC_Geek_talky.png"

image bg_black = "bg_black.png"
image bg_hway = "bg_hallway.png"

# The game starts here.
label Room_Run:
    scene bg_ine

    show chara_apple at left
    show chara_geek at right
    
    hide chara_apple
    show A_Sad at left 
    A "I hope they'll be alright."

    hide chara_geek
    show Gk_Happy at right
    Gk "I'm sure they'll be fine."

    A "Seems a bit mean to have to leave them behind."

    hide Gk_Happy
    show Gk_Talky at right
    Gk "There wasn’t any other way."

    Gk "We are lucky enough that this elevator works in the first place."

    hide Gk_Talky
    show Gk_Sad at right
    Gk "Or we’d all still be trapped together in that room."

    P "Speaking of which, how did you guys end up trapped?"
    hide Gk_Sad
    show chara_geek at right

    hide A_Sad
    show chara_apple at left
    A "Well, I was exploring the town."

    hide chara_apple
    show A_Talky at left
    A "Saw something I hadn’t seen before. I thought maybe a new area had opened up so I went to check it out, and ended up in that room."
    hide A_Talky
    show chara_apple at left

    hide chara_geek
    show Gk_Sad at right
    Gk "...It was pretty much the same for me."

    Gk "Saw a new area, went to check it out. Ended up in that room."

    P "I wonder who arrived first."

    hide Gk_Sad
    show Gk_Talky at right    
    Gk "Ah, that would have been me."

    "The elevator stops."
    hide Gk_Talky
    show chara_geek at right

    Gk "Looks like we have reached our destination."
    hide chara_apple
    hide chara_geek

    scene bg_hway
    with Dissolve (.5)
    "The elevator doors open up to a long, corridor-like room."

    "At the far end of the corridor, there is a doorway opening out to another room."

    show chara_apple
    A "Um, is it just me or is that door is slowly descending from the ceiling?" 
    #"Soon there won't be any room left for us to get through."
    hide chara_apple

    show chara_geek
    Gk "..."
    
    Gk "It is."

    Gk "We should run."
    hide chara_geek

    show A_Sad
    A "What about the others?"
    hide A_Sad

    show Gk_Talky
    Gk "They will be fine!"

    Gk "We need to get through that door before it close or we are going to be trapped here."
    hide Gk_Talky

    show chara_geek
    Gk "SO RUN!"
    hide chara_geek

    "Apple, Geek and I run as fast as we can."
    with vpunch

    "Suddenly Apple trips and falls over."

    "During her fall Apple collided into Geek and took him down with her." 

    P "{i}The door is still closing, but there's still some time.{/i}"
    
    P "{i}I should have enough time to help someone out. But who?{/i}"

menu:
    "Help up Geek":
        jump help_geek

    "Help Apple":
        jump help_apple 

label help_apple:
    "Apple has rolled onto her back and can’t get up."

    "She’s heavy. It takes time to help her up." 

    "I manage to get Apple back on her feet."
    
    show A_Talky
    A "Thank you!"

    P "Are you ok?"
    hide A_Talky

    show A_Sad
    A "I'm fine, but we need to hel-"

    P "There isn't any time. The door is closing."

    P "We need to keep moving."
    hide A_Sad

    "The door is closing. There's no time to help Geek."

    "Just in time, Apple and I manage to reach the door." 

    "It closes, leaving behind Geek."

    jump Room_Cure

label help_geek:
    "Geek has twisted his ankle during the fall."
    
    show chara_geek
    P "Are you ok?"
    hide chara_geek 

    show Gk_Annoyed
    Gk "Forget me! Help her!"

    P "On your feet! You can lean on me!"

    P "C'mon!"
    hide Gk_Annoyed

    "Geek and I rush towards the door." 
    
    "There won’t be enough time to help Apple."

    "We manage to make it though. Leaving Apple behind." 

    jump Room_2v3

return
